Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph.search
Class SearchEngineIndexer.DeleteChildrenToDepthRequest

    java.lang.Object
      org.modeshape.graph.request.Request
          org.modeshape.graph.request.ChangeRequest
              org.modeshape.graph.request.DeleteChildrenRequest
                  org.modeshape.graph.search.SearchEngineIndexer.DeleteChildrenToDepthRequest

All Implemented Interfaces:
  Serializable, Cloneable

Enclosing class:
  SearchEngineIndexer

    public static class SearchEngineIndexer.DeleteChildrenToDepthRequest

extends DeleteChildrenRequest

A specialization of `DeleteChildrenRequest` to delete from the search engine indexes only those nodes that are children of the specified nodes or descendants down to a maximum depth.

See Also:
  Serialized Form

Constructor Summary
`SearchEngineIndexer.DeleteChildrenToDepthRequest(Location at, String workspaceName, int maxDepth)`

Method Summary
`int` | `getMaximumDepth()` Get the maximum depth of descendant nodes below the parent node, where the children of the parent node have a depth of 1.

Methods inherited from class org.modeshape.graph.request.DeleteChildrenRequest
`addDeletedChild, addDeletedChild, addDeletedChild, addDeletedChildren, at, changedLocation, changedWorkspace, changes, clone, equals, getActualChildrenDeleted, getActualLocationOfNode, getType, inWorkspace, isReadOnly, setActualLocationOfNode, toString`

Methods inherited from class org.modeshape.graph.request.Request
`cancel, checkNotFrozen, freeze, getError, hasError, isCancelled, isFrozen, printable, printable, setError, setLatchForFreezing`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SearchEngineIndexer.DeleteChildrenToDepthRequest

    public SearchEngineIndexer.DeleteChildrenToDepthRequest(Location at,
                                                            String workspaceName,
                                                            int maxDepth)

Method Detail

### getMaximumDepth

    public int getMaximumDepth()

  Get the maximum depth of descendant nodes below the parent node, where the children of the parent node have a depth of 1.

  Returns:
    maxDepth the maximum depth; always positive

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.